import { jsx } from "react/jsx-runtime";
import { HashStraight as HashStraight$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HashStraight = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "HashStraight", ...props, children: /* @__PURE__ */ jsx(HashStraight$1, { weight: variant }) });
  }
);
HashStraight.displayName = "HashStraight";
Object.assign(HashStraight, { isGdsIcon: true });
export {
  HashStraight
};
